#### D.4.30.2 realzero

Procedure from library `realrad.lib` (see realrad_lib).

Usage:
  realzero(j); a zero-dimensional ideal j

Return:
  j: a zero dimensional ideal, which is the real radical of i, if dim(i)=0
  0: otherwise
  this acts via
  primary decomposition (i=1)
  listdecomp (i=2) or facstd (i=3)

Example:

    LIB "realrad.lib";
    //in non parametric fields
    ring r=0,(x,y),dp;
    ideal i=(y3+3y2+y+1)*(y2+4y+4)*(x2+1),(x2+y)*(x2-y2)*(x2+2xy+y2)*(y2+y+1);
    realzero(i);
    ==> _[1]=y4+5y3+7y2+3y+2
    ==> _[2]=x4-x2y2+x2y-y3
    ideal j=(y3+3y2+y+1)*(y2-2y+1),(x2+y)*(x2-y2);
    realzero(j);
    ==> _[1]=y4+2y3-2y2-1
    ==> _[2]=x2y3+3x2y2+x2y-y3+x2-3y2-y-1
    ==> _[3]=x4-x2y2+x2y-y3
    //to get every path
    ring r1=(0,t),(x,y),lp;
    ideal m1=x2+1-t,y3+t2;
    ideal m2=x2+t2+1,y2+t;
    ideal m3=x2+1-t,y2-t;
    ideal m4=x^2+1+t,y2-t;
    ideal i=intersect(m1,m2,m3,m4);
    realzero(i);
    ==> _[1]=y5+(-t)*y3+(t2)*y2+(-t3)
    ==> _[2]=x2+(-t+1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.